## fcitx5-qt 0.0~git20200118.2e38c95

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6.0)
set(FCITX5_QT_VERSION 0.0.1)
project(fcitx5-qt VERSION 0.0.1)

set(REQUIRED_QT4_VERSION 4.8.0)
set(REQUIRED_QT5_VERSION 5.1.0)

find_package(ECM 1.4.0 REQUIRED)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

option(ENABLE_QT4 "Enable Qt 4" On)
option(ENABLE_QT5 "Enable Qt 5" On)
option(BUILD_ONLY_PLUGIN "Build only plugin" Off)

if (BUILD_ONLY_PLUGIN)
  set(LIBRARY_TYPE STATIC)
  set(LIBRARY_COMPILE_FLAGS "-fvisibility=hidden -fPIC")
else()
  set(LIBRARY_TYPE SHARED)
  set(LIBRARY_COMPILE_FLAGS "-fvisibility=hidden")
  add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-qt\")
endif()
add_definitions(-DFCITX5_QT_VERSION=\"${FCITX5_QT_VERSION}\")

include(GNUInstallDirs)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMUninstallTarget)

find_package(XCB REQUIRED COMPONENTS XCB)
find_package(XKBCommon 0.5.0 REQUIRED COMPONENTS XKBCommon)
find_package(Fcitx5Utils REQUIRED)
find_package(X11 REQUIRED)

add_library(X11Import UNKNOWN IMPORTED)
set_target_properties(X11Import PROPERTIES
    IMPORTED_LOCATION "${X11_X11_LIB}"
    INTERFACE_INCLUDE_DIRECTORIES "${X11_X11_INCLUDE_PATH}")

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

set(Fcitx5Qt5_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR}/Fcitx5Qt5)
set(Fcitx5Qt4_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR}/Fcitx5Qt4)

if(ENABLE_QT4)
  find_package(Qt4 ${REQUIRED_QT4_VERSION} REQUIRED)
  add_subdirectory(qt4)
endif()

if(ENABLE_QT5)
  find_package(Qt5 ${REQUIRED_QT5_VERSION} CONFIG REQUIRED Core DBus Widgets X11Extras)
  find_package(Qt5Gui ${REQUIRED_QT5_VERSION} REQUIRED Private)
  add_subdirectory(qt5)
endif()

if(NOT BUILD_ONLY_PLUGIN)
find_package(Gettext REQUIRED)
add_subdirectory(po)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== qt5/CMakeLists.txt ===
add_subdirectory(dbusaddons)
add_subdirectory(platforminputcontext)

if(NOT BUILD_ONLY_PLUGIN)
  add_subdirectory(guiwrapper)
  add_subdirectory(widgetsaddons)
  add_subdirectory(quickphrase-editor)
endif()

=== qt4/dbusaddons/CMakeLists.txt ===
ecm_setup_version(PROJECT VARIABLE_PREFIX FCITX5QT4DBUSADDONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt4dbusaddons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt4DBusAddonsConfigVersion.cmake"
                        SOVERSION 1)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/Fcitx5Qt4DBusAddons")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/Fcitx5Qt4DBusAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt4DBusAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

set(dbusaddons_SOURCES
    fcitxqtwatcher.cpp
    fcitxqtdbustypes.cpp
    fcitxqtinputcontextproxy.cpp
    fcitxqtinputcontextproxyimpl.cpp
    fcitxqtinputmethodproxy.cpp
    )

set(dbusaddons_HEADERS
    fcitxqtwatcher.h
    fcitxqtdbustypes.h
    fcitxqtinputcontextproxy.h
    fcitxqtinputmethodproxy.h
)

set(fcitxqtdbusaddons_INCLUDE_DIRS
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_library(Fcitx5Qt4DBusAddons ${LIBRARY_TYPE} ${dbusaddons_SOURCES})
generate_export_header(Fcitx5Qt4DBusAddons BASE_NAME Fcitx5Qt4DBusAddons)
add_library(Fcitx5Qt4::DBusAddons ALIAS Fcitx5Qt4DBusAddons)

target_include_directories(Fcitx5Qt4DBusAddons PUBLIC "$<BUILD_INTERFACE:${fcitxqtdbusaddons_INCLUDE_DIRS}>")
target_include_directories(Fcitx5Qt4DBusAddons INTERFACE "$<INSTALL_INTERFACE:${Fcitx5Qt4_INCLUDE_INSTALL_DIR}/Fcitx5Qt4DBusAddons>")

set_target_properties(Fcitx5Qt4DBusAddons
                      PROPERTIES VERSION 1.0
                      AUTOMOC TRUE
                      SOVERSION 1
                      COMPILE_FLAGS "${LIBRARY_COMPILE_FLAGS}"
                      EXPORT_NAME DBusAddons
)

target_link_libraries(
    Fcitx5Qt4DBusAddons
    PUBLIC
        Qt4::QtCore
        Qt4::QtDBus
)

if(BUILD_ONLY_PLUGIN)
  set_target_properties(Fcitx5Qt4DBusAddons PROPERTIES
                        COMPILE_DEFINITIONS "FCITX5QT4DBUSADDONS_STATIC_DEFINE")

else()
  install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt4DBusAddonsConfig.cmake"
                "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt4DBusAddonsConfigVersion.cmake"
          DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
          COMPONENT Devel )

  install(EXPORT Fcitx5Qt4DBusAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE Fcitx5Qt4DBusAddonsTargets.cmake NAMESPACE Fcitx5Qt4:: )

  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt4dbusaddons_version.h
          DESTINATION ${Fcitx5Qt4_INCLUDE_INSTALL_DIR} COMPONENT Devel )

  install(TARGETS Fcitx5Qt4DBusAddons EXPORT Fcitx5Qt4DBusAddonsTargets LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")

  install(FILES ${dbusaddons_HEADERS}
                ${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt4dbusaddons_export.h
                DESTINATION "${Fcitx5Qt4_INCLUDE_INSTALL_DIR}/Fcitx5Qt4DBusAddons")
endif()

=== qt4/inputcontext/CMakeLists.txt ===

set(plugin_SRCS
    qfcitxinputcontext.cpp
    qtkey.cpp
    main.cpp
)

add_library(qtim-fcitx5 MODULE ${plugin_SRCS})
set_target_properties(qtim-fcitx5 PROPERTIES
                         AUTOMOC TRUE
                         COMPILE_FLAGS "-fvisibility=hidden"
                        )

target_link_libraries(qtim-fcitx5
                          Fcitx5::Utils
                          Qt4::QtCore
                          Qt4::QtGui
                          Qt4::QtDBus
                          XCB::XCB
                          Fcitx5Qt4::DBusAddons
                          XKBCommon::XKBCommon
                          X11Import
                         )

set(CMAKE_INSTALL_QT4PLUGINDIR ${QT_PLUGINS_DIR} CACHE PATH "Qt4 plugin dir")
install(TARGETS qtim-fcitx5 DESTINATION ${CMAKE_INSTALL_QT4PLUGINDIR}/inputmethods)

=== qt5/dbusaddons/CMakeLists.txt ===
ecm_setup_version(PROJECT VARIABLE_PREFIX FCITX5QT5DBUSADDONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt5dbusaddons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt5DBusAddonsConfigVersion.cmake"
                        SOVERSION 1)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/Fcitx5Qt5DBusAddons")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/Fcitx5Qt5DBusAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt5DBusAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

set(dbusaddons_SOURCES
    fcitxqtwatcher.cpp
    fcitxqtdbustypes.cpp
    fcitxqtinputcontextproxy.cpp
    fcitxqtinputcontextproxyimpl.cpp
    fcitxqtinputmethodproxy.cpp
    fcitxqtcontrollerproxy.cpp
    )

set(dbusaddons_HEADERS
    fcitxqtwatcher.h
    fcitxqtdbustypes.h
    fcitxqtinputcontextproxy.h
    fcitxqtinputmethodproxy.h
    fcitxqtcontrollerproxy.h
)

set(fcitxqtdbusaddons_INCLUDE_DIRS
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_library(Fcitx5Qt5DBusAddons ${LIBRARY_TYPE} ${dbusaddons_SOURCES})
generate_export_header(Fcitx5Qt5DBusAddons BASE_NAME Fcitx5Qt5DBusAddons)
add_library(Fcitx5Qt5::DBusAddons ALIAS Fcitx5Qt5DBusAddons)

target_include_directories(Fcitx5Qt5DBusAddons PUBLIC "$<BUILD_INTERFACE:${fcitxqtdbusaddons_INCLUDE_DIRS}>")
target_include_directories(Fcitx5Qt5DBusAddons INTERFACE "$<INSTALL_INTERFACE:${Fcitx5Qt5_INCLUDE_INSTALL_DIR}/Fcitx5Qt5DBusAddons>")

set_target_properties(Fcitx5Qt5DBusAddons
                      PROPERTIES VERSION 1.0
                      AUTOMOC TRUE
                      SOVERSION 1
                      COMPILE_FLAGS "${LIBRARY_COMPILE_FLAGS}"
                      EXPORT_NAME DBusAddons
)

target_link_libraries(
    Fcitx5Qt5DBusAddons
    PUBLIC
        Qt5::Core
        Qt5::DBus
)

if(BUILD_ONLY_PLUGIN)
  set_target_properties(Fcitx5Qt5DBusAddons PROPERTIES
                        COMPILE_DEFINITIONS "FCITX5QT5DBUSADDONS_STATIC_DEFINE")

else()
  install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt5DBusAddonsConfig.cmake"
                "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt5DBusAddonsConfigVersion.cmake"
          DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
          COMPONENT Devel )

  install(EXPORT Fcitx5Qt5DBusAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE Fcitx5Qt5DBusAddonsTargets.cmake NAMESPACE Fcitx5Qt5:: )

  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt5dbusaddons_version.h
          DESTINATION ${Fcitx5Qt5_INCLUDE_INSTALL_DIR} COMPONENT Devel )

  install(TARGETS Fcitx5Qt5DBusAddons EXPORT Fcitx5Qt5DBusAddonsTargets LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")

  install(FILES ${dbusaddons_HEADERS}
                ${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt5dbusaddons_export.h
                DESTINATION "${Fcitx5Qt5_INCLUDE_INSTALL_DIR}/Fcitx5Qt5DBusAddons")
endif()

=== qt5/guiwrapper/CMakeLists.txt ===
set(QT_WRAPPER_SRCS
  main.cpp
  wrapperapp.cpp
  mainwindow.cpp
  )

add_executable(fcitx5-qt5-gui-wrapper ${QT_WRAPPER_SRCS})

set_target_properties(fcitx5-qt5-gui-wrapper
  PROPERTIES AUTOMOC TRUE AUTOUIC TRUE)

target_link_libraries(fcitx5-qt5-gui-wrapper
      Fcitx5::Utils
      Qt5::Core
      Qt5::Gui
      Qt5::Widgets
      Fcitx5Qt5::DBusAddons
      Fcitx5Qt5::WidgetsAddons
)

install(TARGETS fcitx5-qt5-gui-wrapper DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5/libexec")

=== qt5/platforminputcontext/CMakeLists.txt ===
include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})


set(plugin_SRCS
    qfcitxplatforminputcontext.cpp
    qtkey.cpp
    main.cpp
)

set(plugin_MOC_HDRS
    qfcitxplatforminputcontext.h
    main.h
)

add_library(fcitx5platforminputcontextplugin MODULE ${plugin_SRCS})
set_target_properties(fcitx5platforminputcontextplugin PROPERTIES
                         AUTOMOC TRUE
                         COMPILE_FLAGS "-fvisibility=hidden"
                        )

target_link_libraries(fcitx5platforminputcontextplugin
                          Fcitx5::Utils
                          Qt5::Core
                          Qt5::Gui
                          Qt5::DBus
                          Qt5::X11Extras
                          XCB::XCB
                          Fcitx5Qt5::DBusAddons
                          XKBCommon::XKBCommon
                         )

include(ECMQueryQmake)
query_qmake(_QT5PLUGINDIR QT_INSTALL_PLUGINS)
set(CMAKE_INSTALL_QT5PLUGINDIR ${_QT5PLUGINDIR} CACHE PATH "Qt5 plugin dir")
install(TARGETS fcitx5platforminputcontextplugin DESTINATION ${CMAKE_INSTALL_QT5PLUGINDIR}/platforminputcontexts)

=== qt5/widgetsaddons/CMakeLists.txt ===
ecm_setup_version(PROJECT VARIABLE_PREFIX FCITX5QT5WIDGETSADDONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt5widgetsaddons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt5WidgetsAddonsConfigVersion.cmake"
                        SOVERSION 1)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/Fcitx5Qt5WidgetsAddons")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/Fcitx5Qt5WidgetsAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt5WidgetsAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt5WidgetsAddonsConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt5WidgetsAddonsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT Fcitx5Qt5WidgetsAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE Fcitx5Qt5WidgetsAddonsTargets.cmake NAMESPACE Fcitx5Qt5:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt5widgetsaddons_version.h
        DESTINATION ${Fcitx5Qt5_INCLUDE_INSTALL_DIR} COMPONENT Devel )

set(widgetsaddons_SOURCES
    fcitxqtconfiguifactory.cpp
    fcitxqtconfiguiplugin.cpp
    fcitxqtconfiguiwidget.cpp
    fcitxqtkeysequencewidget.cpp
    qtkeytrans.cpp
    )

set(widgetsaddons_HEADERS
    fcitxqtconfiguifactory.h
    fcitxqtconfiguiplugin.h
    fcitxqtconfiguiwidget.h
    fcitxqtkeysequencewidget.h
    fcitxqti18nhelper.h
)

set(fcitxqtwidgetsaddons_INCLUDE_DIRS
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${FCITX54_FCITX5_UTILS_INCLUDE_DIRS}
)

add_library(Fcitx5Qt5WidgetsAddons SHARED ${widgetsaddons_SOURCES})
generate_export_header(Fcitx5Qt5WidgetsAddons BASE_NAME Fcitx5Qt5WidgetsAddons)
add_library(Fcitx5Qt5::WidgetsAddons ALIAS Fcitx5Qt5WidgetsAddons)

target_include_directories(Fcitx5Qt5WidgetsAddons PUBLIC "$<BUILD_INTERFACE:${fcitxqtwidgetsaddons_INCLUDE_DIRS}>")
target_include_directories(Fcitx5Qt5WidgetsAddons INTERFACE "$<INSTALL_INTERFACE:${Fcitx5Qt5_INCLUDE_INSTALL_DIR}/Fcitx5QtWidgetsAddons>")

set_target_properties(Fcitx5Qt5WidgetsAddons
                      PROPERTIES VERSION 1.0
                      AUTOMOC TRUE
                      SOVERSION 1
                      COMPILE_FLAGS "-fvisibility=hidden"
                      EXPORT_NAME WidgetsAddons
)

target_link_libraries(Fcitx5Qt5WidgetsAddons
    PUBLIC
        Fcitx5::Utils
        Qt5::Core
        Qt5::Widgets
)

install(TARGETS Fcitx5Qt5WidgetsAddons EXPORT Fcitx5Qt5WidgetsAddonsTargets LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")

install(FILES ${widgetsaddons_HEADERS}
              ${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt5widgetsaddons_export.h
              DESTINATION "${Fcitx5Qt5_INCLUDE_INSTALL_DIR}/Fcitx5QtWidgetsAddons")

=== debian/changelog ===
fcitx5-qt (0.0~git20200118.2e38c95-1build3) focal; urgency=medium

  * No-change rebuild.

 -- Rik Mills <rikmills@kde.org>  Mon, 13 Apr 2020 13:05:02 +0100

fcitx5-qt (0.0~git20200118.2e38c95-1build2) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 19:57:15 +0100

fcitx5-qt (0.0~git20200118.2e38c95-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:13:53 +0100

fcitx5-qt (0.0~git20200118.2e38c95-1) unstable; urgency=high

  * New upstream snapshot.
  * Source-only rebuild to allow testing migration.
  * debian/copyright: Update information according to upstream
    changes.

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2020 15:01:19 -0500

fcitx5-qt (0.0~git20191111.000427e-1) unstable; urgency=medium

  * Initial release. (Closes: #945503)

 -- Boyuan Yang <byang@debian.org>  Mon, 25 Nov 2019 19:24:36 -0500

=== debian/control ===
Source: fcitx5-qt
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.6.0),
 debhelper-compat (= 12),
 extra-cmake-modules,
 gettext,
 libfcitx5utils-dev,
 libqt5x11extras5-dev,
 libxcb1-dev,
 libxkbcommon-dev,
 qtbase5-dev,
 qtbase5-private-dev,
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx5-qt
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-qt.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-qt

Package: fcitx5-frontend-qt5
Architecture: linux-any
Section: libs
Multi-Arch: same
Depends:
 libfcitx5-qt1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: IM module for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the Qt5 IM Module for fcitx5.

Package: libfcitx5-qt-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends:
 libfcitx5-qt1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt library and IM module for fcitx5 (development files)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the development files for fcitx5-qt.

Package: libfcitx5-qt1
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends:
 libfcitx5-qt-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt library and IM module for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the Qt5 support for fcitx5.

Package: libfcitx5-qt-data
Architecture: all
Multi-Arch: foreign
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt library and IM module for fcitx5 (data files)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the shared data files for fcitx5-qt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT := 5

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DENABLE_QT4=0

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://github.com/fcitx/fcitx5-qt.git \
 HEAD debian uupdate

## fcitx5-qt 0.0~git20200821.73bfd76

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,15 +12,23 @@
 option(ENABLE_QT4 "Enable Qt 4" On)
 option(ENABLE_QT5 "Enable Qt 5" On)
 option(BUILD_ONLY_PLUGIN "Build only plugin" Off)
+option(BUILD_STATIC_PLUGIN "Build plugin as static" Off)
+option(WITH_FCITX_PLUGIN_NAME "Enable plugin name with fcitx" On)
 
 if (BUILD_ONLY_PLUGIN)
   set(LIBRARY_TYPE STATIC)
-  set(LIBRARY_COMPILE_FLAGS "-fvisibility=hidden -fPIC")
+  set(LIBRARY_COMPILE_FLAGS "-fPIC")
 else()
   set(LIBRARY_TYPE SHARED)
-  set(LIBRARY_COMPILE_FLAGS "-fvisibility=hidden")
   add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-qt\")
 endif()
+
+if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
+  set(PLUGIN_LIBRARY_TYPE STATIC)
+else()
+  set(PLUGIN_LIBRARY_TYPE MODULE)
+endif()
+
 add_definitions(-DFCITX5_QT_VERSION=\"${FCITX5_QT_VERSION}\")
 
 include(GNUInstallDirs)
@@ -32,7 +40,9 @@
 
 find_package(XCB REQUIRED COMPONENTS XCB)
 find_package(XKBCommon 0.5.0 REQUIRED COMPONENTS XKBCommon)
+if (NOT BUILD_ONLY_PLUGIN)
 find_package(Fcitx5Utils REQUIRED)
+endif()
 find_package(X11 REQUIRED)
 
 add_library(X11Import UNKNOWN IMPORTED)
@@ -40,10 +50,15 @@
     IMPORTED_LOCATION "${X11_X11_LIB}"
     INTERFACE_INCLUDE_DIRECTORIES "${X11_X11_INCLUDE_PATH}")
 
+if (BUILD_ONLY_PLUGIN)
+# Dup a little bit option here.
+include(CompilerSettings)
+else()
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
+endif()
 
-set(Fcitx5Qt5_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR}/Fcitx5Qt5)
-set(Fcitx5Qt4_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR}/Fcitx5Qt4)
+set(Fcitx5Qt5_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/Fcitx5Qt5)
+set(Fcitx5Qt4_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/Fcitx5Qt4)
 
 if(ENABLE_QT4)
   find_package(Qt4 ${REQUIRED_QT4_VERSION} REQUIRED)
@@ -51,7 +66,7 @@
 endif()
 
 if(ENABLE_QT5)
-  find_package(Qt5 ${REQUIRED_QT5_VERSION} CONFIG REQUIRED Core DBus Widgets X11Extras)
+  find_package(Qt5 ${REQUIRED_QT5_VERSION} CONFIG REQUIRED Core DBus Widgets)
   find_package(Qt5Gui ${REQUIRED_QT5_VERSION} REQUIRED Private)
   add_subdirectory(qt5)
 endif()
@@ -61,4 +76,7 @@
 add_subdirectory(po)
 endif()
 
+enable_testing()
+add_subdirectory(test)
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== qt4/inputcontext/CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,20 @@
     main.cpp
 )
 
-add_library(qtim-fcitx5 MODULE ${plugin_SRCS})
+add_library(qtim-fcitx5 ${PLUGIN_LIBRARY_TYPE} ${plugin_SRCS})
 set_target_properties(qtim-fcitx5 PROPERTIES
                          AUTOMOC TRUE
                          COMPILE_FLAGS "-fvisibility=hidden"
                         )
+target_include_directories(qtim-fcitx5 PRIVATE "${PROJECT_SOURCE_DIR}/common")
+if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
+    target_compile_definitions(qtim-fcitx5 PRIVATE "-DQT_STATICPLUGIN")
+endif()
+if (WITH_FCITX_PLUGIN_NAME)
+    target_compile_definitions(qtim-fcitx5 PRIVATE "-DFCITX5_QT_WITH_FCITX_NAME")
+endif()
 
 target_link_libraries(qtim-fcitx5
-                          Fcitx5::Utils
                           Qt4::QtCore
                           Qt4::QtGui
                           Qt4::QtDBus

=== qt5/guiwrapper/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 add_executable(fcitx5-qt5-gui-wrapper ${QT_WRAPPER_SRCS})
 
 set_target_properties(fcitx5-qt5-gui-wrapper
-  PROPERTIES AUTOMOC TRUE AUTOUIC TRUE)
+  PROPERTIES AUTOMOC TRUE AUTOUIC TRUE AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h")
 
 target_link_libraries(fcitx5-qt5-gui-wrapper
       Fcitx5::Utils

=== qt5/platforminputcontext/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,11 @@
 include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
 
+set(FCITX5_QT_EXTRA_PLUGIN_NAME "")
+if (WITH_FCITX_PLUGIN_NAME)
+    set(FCITX5_QT_EXTRA_PLUGIN_NAME "\"fcitx\",")
+endif()
+
+configure_file("${CMAKE_CURRENT_SOURCE_DIR}/fcitx5.json.in" "${CMAKE_CURRENT_BINARY_DIR}/fcitx5.json")
 
 set(plugin_SRCS
     qfcitxplatforminputcontext.cpp
@@ -12,18 +18,27 @@
     main.h
 )
 
-add_library(fcitx5platforminputcontextplugin MODULE ${plugin_SRCS})
+add_library(fcitx5platforminputcontextplugin ${PLUGIN_LIBRARY_TYPE} ${plugin_SRCS})
 set_target_properties(fcitx5platforminputcontextplugin PROPERTIES
                          AUTOMOC TRUE
                          COMPILE_FLAGS "-fvisibility=hidden"
                         )
+target_include_directories(fcitx5platforminputcontextplugin PRIVATE "${PROJECT_SOURCE_DIR}/common")
+if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
+target_compile_definitions(fcitx5platforminputcontextplugin PRIVATE "-DQT_STATICPLUGIN")
+endif()
+
+target_compile_definitions(fcitx5platforminputcontextplugin PRIVATE "-DFCITX_PLUGIN_DATA_FILE_PATH=\"${CMAKE_CURRENT_BINARY_DIR}/fcitx5.json\"")
+if (WITH_FCITX_PLUGIN_NAME)
+    # This is not really necessary, but can trigger a cmake rebuild.
+    target_compile_definitions(fcitx5platforminputcontextplugin PRIVATE "-DFCITX5_QT_WITH_FCITX_NAME")
+endif()
+
 
 target_link_libraries(fcitx5platforminputcontextplugin
-                          Fcitx5::Utils
                           Qt5::Core
                           Qt5::Gui
                           Qt5::DBus
-                          Qt5::X11Extras
                           XCB::XCB
                           Fcitx5Qt5::DBusAddons
                           XKBCommon::XKBCommon

=== qt5/widgetsaddons/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ecm_setup_version(PROJECT VARIABLE_PREFIX FCITX5QT5WIDGETSADDONS
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt5widgetsaddons_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt5WidgetsAddonsConfigVersion.cmake"
-                        SOVERSION 1)
+                        SOVERSION 2)
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/Fcitx5Qt5WidgetsAddons")
@@ -51,9 +51,9 @@
 target_include_directories(Fcitx5Qt5WidgetsAddons INTERFACE "$<INSTALL_INTERFACE:${Fcitx5Qt5_INCLUDE_INSTALL_DIR}/Fcitx5QtWidgetsAddons>")
 
 set_target_properties(Fcitx5Qt5WidgetsAddons
-                      PROPERTIES VERSION 1.0
+                      PROPERTIES VERSION 1.1
                       AUTOMOC TRUE
-                      SOVERSION 1
+                      SOVERSION 2
                       COMPILE_FLAGS "-fvisibility=hidden"
                       EXPORT_NAME WidgetsAddons
 )

=== debian/changelog ===
fcitx5-qt (0.0~git20200821.73bfd76-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot
  * as-needed LDFLAGS is not needed since bullseye
  * Change architecture from linux-any to any
  * Drop libqt5x11extras5-dev from Build-Depends

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 26 Aug 2020 12:11:20 +0800

fcitx5-qt (0.0~git20200615.b6f2ef3-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Bump debhelper-compat to 13 and clean up d/rules
  * Bump libfcitx5utils-dev to 0.0~git20200626
  * Fix libfcitx5-qt1 so glob
  * Update libfcitx5-qt1 lintian-overrides

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 02 Jul 2020 12:13:54 +0800

fcitx5-qt (0.0~git20200404.366aed5-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 10 Apr 2020 22:38:51 +0800

fcitx5-qt (0.0~git20200320.d019d90-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 24 Mar 2020 02:53:14 +0800

fcitx5-qt (0.0~git20200311.358ee0c-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Update Standards-Version to 4.5.0 (no changes)
  * Fix libfcitx5-qt1 lintian-overrides

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 13 Mar 2020 15:51:56 +0800

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,22 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake (>= 3.6.0),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- libfcitx5utils-dev,
- libqt5x11extras5-dev,
+ libfcitx5utils-dev (>= 0.0~git20200626),
  libxcb1-dev,
  libxkbcommon-dev,
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-qt
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-qt.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-qt
 
 Package: fcitx5-frontend-qt5
-Architecture: linux-any
+Architecture: any
 Section: libs
 Multi-Arch: same
 Depends:
@@ -44,7 +43,7 @@
  This package provides the Qt5 IM Module for fcitx5.
 
 Package: libfcitx5-qt-dev
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends:
@@ -66,7 +65,7 @@
  This package provides the development files for fcitx5-qt.
 
 Package: libfcitx5-qt1
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Section: libs
 Depends:

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://github.com/fcitx/fcitx5-qt \
 HEAD debian

## fcitx5-qt 5.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
 cmake_minimum_required(VERSION 3.6.0)
-set(FCITX5_QT_VERSION 0.0.1)
-project(fcitx5-qt VERSION 0.0.1)
+project(fcitx5-qt VERSION 5.0.3)
+set(FCITX5_QT_VERSION ${PROJECT_VERSION})
 
 set(REQUIRED_QT4_VERSION 4.8.0)
 set(REQUIRED_QT5_VERSION 5.1.0)
+set(REQUIRED_QT6_VERSION 6.0.0)
 
 find_package(ECM 1.4.0 REQUIRED)
 
@@ -11,6 +12,7 @@
 
 option(ENABLE_QT4 "Enable Qt 4" On)
 option(ENABLE_QT5 "Enable Qt 5" On)
+option(ENABLE_QT6 "Enable Qt 6" Off)
 option(BUILD_ONLY_PLUGIN "Build only plugin" Off)
 option(BUILD_STATIC_PLUGIN "Build plugin as static" Off)
 option(WITH_FCITX_PLUGIN_NAME "Enable plugin name with fcitx" On)
@@ -29,7 +31,7 @@
   set(PLUGIN_LIBRARY_TYPE MODULE)
 endif()
 
-add_definitions(-DFCITX5_QT_VERSION=\"${FCITX5_QT_VERSION}\")
+add_definitions(-DFCITX5_QT_VERSION=\"${FCITX5_QT_VERSION}\" -DQT_NO_KEYWORDS)
 
 include(GNUInstallDirs)
 include(FeatureSummary)
@@ -57,6 +59,7 @@
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
 endif()
 
+set(Fcitx5Qt6_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/Fcitx5Qt6)
 set(Fcitx5Qt5_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/Fcitx5Qt5)
 set(Fcitx5Qt4_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/Fcitx5Qt4)
 
@@ -71,6 +74,12 @@
   add_subdirectory(qt5)
 endif()
 
+if(ENABLE_QT6)
+  find_package(Qt6 ${REQUIRED_QT6_VERSION} CONFIG REQUIRED Core DBus)
+  find_package(Qt6Gui ${REQUIRED_QT6_VERSION} REQUIRED Private)
+  add_subdirectory(qt6)
+endif()
+
 if(NOT BUILD_ONLY_PLUGIN)
 find_package(Gettext REQUIRED)
 add_subdirectory(po)

=== qt4/CMakeLists.txt ===
add_subdirectory(dbusaddons)
add_subdirectory(inputcontext)

=== qt5/dbusaddons/CMakeLists.txt ===
--- 
+++ 
@@ -41,9 +41,9 @@
 target_include_directories(Fcitx5Qt5DBusAddons INTERFACE "$<INSTALL_INTERFACE:${Fcitx5Qt5_INCLUDE_INSTALL_DIR}/Fcitx5Qt5DBusAddons>")
 
 set_target_properties(Fcitx5Qt5DBusAddons
-                      PROPERTIES VERSION 1.0
+                      PROPERTIES VERSION ${FCITX5QT5DBUSADDONS_VERSION}
                       AUTOMOC TRUE
-                      SOVERSION 1
+                      SOVERSION ${FCITX5QT5DBUSADDONS_SOVERSION}
                       COMPILE_FLAGS "${LIBRARY_COMPILE_FLAGS}"
                       EXPORT_NAME DBusAddons
 )

=== qt5/platforminputcontext/CMakeLists.txt ===
--- 
+++ 
@@ -9,19 +9,16 @@
 
 set(plugin_SRCS
     qfcitxplatforminputcontext.cpp
+    fcitxcandidatewindow.cpp
+    fcitxtheme.cpp
+    font.cpp
     qtkey.cpp
     main.cpp
-)
-
-set(plugin_MOC_HDRS
-    qfcitxplatforminputcontext.h
-    main.h
 )
 
 add_library(fcitx5platforminputcontextplugin ${PLUGIN_LIBRARY_TYPE} ${plugin_SRCS})
 set_target_properties(fcitx5platforminputcontextplugin PROPERTIES
                          AUTOMOC TRUE
-                         COMPILE_FLAGS "-fvisibility=hidden"
                         )
 target_include_directories(fcitx5platforminputcontextplugin PRIVATE "${PROJECT_SOURCE_DIR}/common")
 if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)

=== qt6/platforminputcontext/CMakeLists.txt ===
include_directories(${Qt6Gui_PRIVATE_INCLUDE_DIRS})

set(FCITX5_QT_EXTRA_PLUGIN_NAME "")
if (WITH_FCITX_PLUGIN_NAME)
    set(FCITX5_QT_EXTRA_PLUGIN_NAME "\"fcitx\",")
endif()

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/fcitx5.json.in" "${CMAKE_CURRENT_BINARY_DIR}/fcitx5.json")

set(plugin_SRCS
    qfcitxplatforminputcontext.cpp
    fcitxcandidatewindow.cpp
    fcitxtheme.cpp
    font.cpp
    qtkey.cpp
    main.cpp
)

add_library(fcitx5platforminputcontextplugin-qt6 ${PLUGIN_LIBRARY_TYPE} ${plugin_SRCS})
set_target_properties(fcitx5platforminputcontextplugin-qt6 PROPERTIES
                         OUTPUT_NAME fcitx5platforminputcontextplugin
                         AUTOMOC TRUE
                        )
target_include_directories(fcitx5platforminputcontextplugin-qt6 PRIVATE "${PROJECT_SOURCE_DIR}/common")
if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)
target_compile_definitions(fcitx5platforminputcontextplugin-qt6 PRIVATE "-DQT_STATICPLUGIN")
endif()

target_compile_definitions(fcitx5platforminputcontextplugin-qt6 PRIVATE "-DFCITX_PLUGIN_DATA_FILE_PATH=\"${CMAKE_CURRENT_BINARY_DIR}/fcitx5.json\"")
if (WITH_FCITX_PLUGIN_NAME)
    # This is not really necessary, but can trigger a cmake rebuild.
    target_compile_definitions(fcitx5platforminputcontextplugin-qt6 PRIVATE "-DFCITX5_QT_WITH_FCITX_NAME")
endif()


target_link_libraries(fcitx5platforminputcontextplugin-qt6
                          Qt6::Core
                          Qt6::Gui
                          Qt6::DBus
                          XCB::XCB
                          Fcitx5Qt6::DBusAddons
                          XKBCommon::XKBCommon
                         )

get_target_property(_QT6_QMAKE_EXECUTABLE Qt6::qmake LOCATION)
execute_process(
    COMMAND ${_QT6_QMAKE_EXECUTABLE} -query "QT_INSTALL_PLUGINS"
    RESULT_VARIABLE return_code
    OUTPUT_VARIABLE _QT6PLUGINDIR
)
if(return_code EQUAL 0)
    string(STRIP "${_QT6PLUGINDIR}" _QT6PLUGINDIR)
else()
    message(FATAL_ERROR "QMake Qt6 call failed: ${return_code}")
endif()
set(CMAKE_INSTALL_QT6PLUGINDIR ${_QT6PLUGINDIR} CACHE PATH "Qt6 plugin dir")
install(TARGETS fcitx5platforminputcontextplugin-qt6 DESTINATION ${CMAKE_INSTALL_QT6PLUGINDIR}/platforminputcontexts)

=== debian/changelog ===
fcitx5-qt (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 19 Feb 2021 15:19:07 +0800

fcitx5-qt (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Standards-Version to 4.5.1 (no changes)
  * fcitx5-qt5-gui-wrapper path is moved.
  * fcitx5-frontend-qt5 is no longer Multi-Arch: same

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 16 Jan 2021 01:51:46 +0800

fcitx5-qt (5.0.1-2) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Dec 2020 18:52:02 +0800

fcitx5-qt (5.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump libfcitx5utils-dev to 5.0.1

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 07 Nov 2020 00:15:34 +0800

fcitx5-qt (0.0~git20201029.97ea203-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot
  * Bump libfcitx5utils-dev to 0.0~git20201030

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 31 Oct 2020 23:04:24 +0800

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- libfcitx5utils-dev (>= 0.0~git20200626),
+ libfcitx5utils-dev (>= 5.0.1),
  libxcb1-dev,
  libxkbcommon-dev,
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-qt
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-qt.git
@@ -23,7 +23,6 @@
 Package: fcitx5-frontend-qt5
 Architecture: any
 Section: libs
-Multi-Arch: same
 Depends:
  libfcitx5-qt1 (= ${binary:Version}),
  ${misc:Depends},
@@ -41,6 +40,27 @@
  and desktop environments.
  .
  This package provides the Qt5 IM Module for fcitx5.
+
+Package: libfcitx5-qt-data
+Architecture: all
+Multi-Arch: foreign
+Section: libs
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Qt library and IM module for fcitx5 (data files)
+ Fcitx5 is the next generation of fcitx input method framework. It
+ provides plasant and modern input experience with intuitive graphical
+ configuration tools. The framework is highly extensible with support
+ for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
+ environments and a developer-friendly API.
+ .
+ Some of its new features include support of both Wayland and Xorg
+ and the ability to mimic IBus Input Method Framework in order to
+ provide better compatibility across different Linux distributions
+ and desktop environments.
+ .
+ This package provides the shared data files for fcitx5-qt.
 
 Package: libfcitx5-qt-dev
 Architecture: any
@@ -85,24 +105,3 @@
  and desktop environments.
  .
  This package provides the Qt5 support for fcitx5.
-
-Package: libfcitx5-qt-data
-Architecture: all
-Multi-Arch: foreign
-Section: libs
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Description: Qt library and IM module for fcitx5 (data files)
- Fcitx5 is the next generation of fcitx input method framework. It
- provides plasant and modern input experience with intuitive graphical
- configuration tools. The framework is highly extensible with support
- for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
- environments and a developer-friendly API.
- .
- Some of its new features include support of both Wayland and Xorg
- and the ability to mimic IBus Input Method Framework in order to
- provide better compatibility across different Linux distributions
- and desktop environments.
- .
- This package provides the shared data files for fcitx5-qt.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT := 5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_QT4=0

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://github.com/fcitx/fcitx5-qt \
  refs/tags/@ANY_VERSION@ debian

## fcitx5-qt 5.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.6.0)
-project(fcitx5-qt VERSION 5.0.3)
+cmake_minimum_required(VERSION 3.16)
+project(fcitx5-qt VERSION 5.0.10)
 set(FCITX5_QT_VERSION ${PROJECT_VERSION})
 
 set(REQUIRED_QT4_VERSION 4.8.0)

=== qt6/CMakeLists.txt ===
add_subdirectory(dbusaddons)
add_subdirectory(platforminputcontext)

=== qt4/dbusaddons/CMakeLists.txt ===
--- 
+++ 
@@ -39,9 +39,9 @@
 target_include_directories(Fcitx5Qt4DBusAddons INTERFACE "$<INSTALL_INTERFACE:${Fcitx5Qt4_INCLUDE_INSTALL_DIR}/Fcitx5Qt4DBusAddons>")
 
 set_target_properties(Fcitx5Qt4DBusAddons
-                      PROPERTIES VERSION 1.0
+                      PROPERTIES VERSION ${FCITX5QT4DBUSADDONS_VERSION}
                       AUTOMOC TRUE
-                      SOVERSION 1
+                      SOVERSION ${FCITX5QT4DBUSADDONS_SOVERSION}
                       COMPILE_FLAGS "${LIBRARY_COMPILE_FLAGS}"
                       EXPORT_NAME DBusAddons
 )

=== qt4/inputcontext/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 add_library(qtim-fcitx5 ${PLUGIN_LIBRARY_TYPE} ${plugin_SRCS})
 set_target_properties(qtim-fcitx5 PROPERTIES
                          AUTOMOC TRUE
-                         COMPILE_FLAGS "-fvisibility=hidden"
                         )
 target_include_directories(qtim-fcitx5 PRIVATE "${PROJECT_SOURCE_DIR}/common")
 if (BUILD_ONLY_PLUGIN AND BUILD_STATIC_PLUGIN)

=== qt5/guiwrapper/CMakeLists.txt ===
--- 
+++ 
@@ -18,4 +18,4 @@
       Fcitx5Qt5::WidgetsAddons
 )
 
-install(TARGETS fcitx5-qt5-gui-wrapper DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5/libexec")
+install(TARGETS fcitx5-qt5-gui-wrapper DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}")

=== qt5/widgetsaddons/CMakeLists.txt ===
--- 
+++ 
@@ -51,10 +51,9 @@
 target_include_directories(Fcitx5Qt5WidgetsAddons INTERFACE "$<INSTALL_INTERFACE:${Fcitx5Qt5_INCLUDE_INSTALL_DIR}/Fcitx5QtWidgetsAddons>")
 
 set_target_properties(Fcitx5Qt5WidgetsAddons
-                      PROPERTIES VERSION 1.1
+                      PROPERTIES VERSION ${FCITX5QT5WIDGETSADDONS_VERSION}
                       AUTOMOC TRUE
-                      SOVERSION 2
-                      COMPILE_FLAGS "-fvisibility=hidden"
+                      SOVERSION ${FCITX5QT5WIDGETSADDONS_SOVERSION}
                       EXPORT_NAME WidgetsAddons
 )

=== qt6/dbusaddons/CMakeLists.txt ===
ecm_setup_version(PROJECT VARIABLE_PREFIX FCITX5QT6DBUSADDONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt6dbusaddons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt6DBusAddonsConfigVersion.cmake"
                        SOVERSION 1)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/Fcitx5Qt6DBusAddons")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/Fcitx5Qt6DBusAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt6DBusAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

set(dbusaddons_SOURCES
    fcitxqtwatcher.cpp
    fcitxqtdbustypes.cpp
    fcitxqtinputcontextproxy.cpp
    fcitxqtinputcontextproxyimpl.cpp
    fcitxqtinputmethodproxy.cpp
    fcitxqtcontrollerproxy.cpp
    )

set(dbusaddons_HEADERS
    fcitxqtwatcher.h
    fcitxqtdbustypes.h
    fcitxqtinputcontextproxy.h
    fcitxqtinputmethodproxy.h
    fcitxqtcontrollerproxy.h
)

set(fcitxqtdbusaddons_INCLUDE_DIRS
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_library(Fcitx5Qt6DBusAddons ${LIBRARY_TYPE} ${dbusaddons_SOURCES})
generate_export_header(Fcitx5Qt6DBusAddons BASE_NAME Fcitx5Qt6DBusAddons)
add_library(Fcitx5Qt6::DBusAddons ALIAS Fcitx5Qt6DBusAddons)

target_include_directories(Fcitx5Qt6DBusAddons PUBLIC "$<BUILD_INTERFACE:${fcitxqtdbusaddons_INCLUDE_DIRS}>")
target_include_directories(Fcitx5Qt6DBusAddons INTERFACE "$<INSTALL_INTERFACE:${Fcitx5Qt6_INCLUDE_INSTALL_DIR}/Fcitx5Qt6DBusAddons>")

set_target_properties(Fcitx5Qt6DBusAddons
                      PROPERTIES VERSION ${FCITX5QT6DBUSADDONS_VERSION}
                      AUTOMOC TRUE
                      SOVERSION ${FCITX5QT6DBUSADDONS_SOVERSION}
                      COMPILE_FLAGS "${LIBRARY_COMPILE_FLAGS}"
                      EXPORT_NAME DBusAddons
)

target_link_libraries(
    Fcitx5Qt6DBusAddons
    PUBLIC
        Qt6::Core
        Qt6::DBus
)

if(BUILD_ONLY_PLUGIN)
  set_target_properties(Fcitx5Qt6DBusAddons PROPERTIES
                        COMPILE_DEFINITIONS "FCITX5QT6DBUSADDONS_STATIC_DEFINE")

else()
  install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt6DBusAddonsConfig.cmake"
                "${CMAKE_CURRENT_BINARY_DIR}/Fcitx5Qt6DBusAddonsConfigVersion.cmake"
          DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
          COMPONENT Devel )

  install(EXPORT Fcitx5Qt6DBusAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE Fcitx5Qt6DBusAddonsTargets.cmake NAMESPACE Fcitx5Qt6:: )

  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt6dbusaddons_version.h
          DESTINATION ${Fcitx5Qt6_INCLUDE_INSTALL_DIR} COMPONENT Devel )

  install(TARGETS Fcitx5Qt6DBusAddons EXPORT Fcitx5Qt6DBusAddonsTargets LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")

  install(FILES ${dbusaddons_HEADERS}
                ${CMAKE_CURRENT_BINARY_DIR}/fcitx5qt6dbusaddons_export.h
                DESTINATION "${Fcitx5Qt6_INCLUDE_INSTALL_DIR}/Fcitx5Qt6DBusAddons")
endif()

=== debian/changelog ===
fcitx5-qt (5.0.10-1build1) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 17 Mar 2022 16:09:30 +0300

fcitx5-qt (5.0.10-1) unstable; urgency=medium

  * New upstream release 5.0.10.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Feb 2022 10:58:08 -0500

fcitx5-qt (5.0.9-1) unstable; urgency=medium

  * New upstream release 5.0.9.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Jan 2022 00:38:30 -0500

fcitx5-qt (5.0.8-1) unstable; urgency=medium

  * New upstream release 5.0.8.
  * debian/control: Tighten build dependency: fcitx5 5.0.11+.

 -- Boyuan Yang <byang@debian.org>  Tue, 14 Dec 2021 14:54:39 -0500

fcitx5-qt (5.0.7-3) unstable; urgency=medium

  * Rebuild against fcitx5 5.10.
  * debian/rules: Drop manual specification of CMAKE_INSTALL_LIBEXECDIR,
    no longer needed.

 -- Boyuan Yang <byang@debian.org>  Tue, 23 Nov 2021 16:25:07 -0500

fcitx5-qt (5.0.7-2) unstable; urgency=medium

  * Team upload.
  * Set CMAKE_INSTALL_LIBEXECDIR to /usr/libexec.
    Retain the old behavior of cmake (< 3.19) (Closes: #995880)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 08 Oct 2021 01:31:55 +0800

fcitx5-qt (5.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix typo in package description
  * Fix fcitx5-qt5-gui-wrapper path

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Oct 2021 02:55:17 +0800

fcitx5-qt (5.0.6-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 25 Aug 2021 03:07:39 +0800

fcitx5-qt (5.0.6-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 19 May 2021 03:30:49 +0800

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- libfcitx5utils-dev (>= 5.0.1),
+ libfcitx5utils-dev (>= 5.0.11),
  libxcb1-dev,
  libxkbcommon-dev,
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-qt
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-qt.git
@@ -29,7 +29,7 @@
  ${shlibs:Depends},
 Description: IM module for fcitx5
  Fcitx5 is the next generation of fcitx input method framework. It
- provides plasant and modern input experience with intuitive graphical
+ provides pleasant and modern input experience with intuitive graphical
  configuration tools. The framework is highly extensible with support
  for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
  environments and a developer-friendly API.
@@ -50,7 +50,7 @@
  ${shlibs:Depends},
 Description: Qt library and IM module for fcitx5 (data files)
  Fcitx5 is the next generation of fcitx input method framework. It
- provides plasant and modern input experience with intuitive graphical
+ provides pleasant and modern input experience with intuitive graphical
  configuration tools. The framework is highly extensible with support
  for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
  environments and a developer-friendly API.
@@ -72,7 +72,7 @@
  ${shlibs:Depends},
 Description: Qt library and IM module for fcitx5 (development files)
  Fcitx5 is the next generation of fcitx input method framework. It
- provides plasant and modern input experience with intuitive graphical
+ provides pleasant and modern input experience with intuitive graphical
  configuration tools. The framework is highly extensible with support
  for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
  environments and a developer-friendly API.
@@ -94,7 +94,7 @@
  ${shlibs:Depends},
 Description: Qt library and IM module for fcitx5
  Fcitx5 is the next generation of fcitx input method framework. It
- provides plasant and modern input experience with intuitive graphical
+ provides pleasant and modern input experience with intuitive graphical
  configuration tools. The framework is highly extensible with support
  for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
  environments and a developer-friendly API.

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,5 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DENABLE_QT4=0
+	dh_auto_configure -- \
+	        -DENABLE_QT4=0
